﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;

namespace ORM_Benchmark.Runner.EFv41
{
    public class EFv41ProductMapping : EntityTypeConfiguration<EfEntityTypeProduct>
    {
        public EFv41ProductMapping()
        {
            HasKey(x => x.Id);
            Property(x => x.Id).HasColumnName("Id").HasDatabaseGeneratedOption(DatabaseGeneratedOption.Identity).IsRequired();
            Property(x => x.Name);
            Property(x => x.Category);
            Property(x => x.Discontinued);
            ToTable("Products");
        }
    }
}
